Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerPlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerPlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerPlugin.cs	(revision 4710)
@@ -28,5 +28,5 @@
   [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
   [PluginDependency("HeuristicLab.Hive.Server.Core", "3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
   public class HeuristicLabHiveServerPlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj	(revision 4710)
@@ -35,4 +35,5 @@
     <UseApplicationTrust>false</UseApplicationTrust>
     <BootstrapperEnabled>true</BootstrapperEnabled>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4710)
@@ -19,4 +19,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -86,7 +87,4 @@
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
     </Reference>
     <Reference Include="System" />
@@ -187,4 +185,8 @@
       <Name>HeuristicLab.Hive.Slave.Common-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
+      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
+      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
@@ -204,4 +206,5 @@
       <Generator>WCF Proxy Generator</Generator>
       <LastGenOutput>Reference.cs</LastGenOutput>
+      <SubType>Designer</SubType>
     </None>
   </ItemGroup>
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs	(revision 4710)
@@ -32,5 +32,5 @@
   [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
   [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
   public class HeuristicLabHiveSlaveCommunicationPlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 4710)
@@ -32,5 +32,5 @@
 using HeuristicLab.Hive.Slave.Communication.SlaveFacade;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Slave.Communication {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj	(revision 4710)
@@ -21,4 +21,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Resources.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Resources.Designer.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Resources.Designer.cs	(revision 4710)
@@ -10,7 +10,8 @@
 
 namespace HeuristicLab.Hive.Slave.Console.Properties {
-
-
-  /// <summary>
+    using System;
+    
+    
+    /// <summary>
     ///   A strongly-typed resource class, for looking up localized strings, etc.
     /// </summary>
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.cs	(revision 4710)
@@ -10,7 +10,9 @@
 
 namespace HeuristicLab.Hive.Slave.Console.SlaveConsoleService {
-
-
-  [System.Diagnostics.DebuggerStepThroughAttribute()]
+    using System.Runtime.Serialization;
+    using System;
+    
+    
+    [System.Diagnostics.DebuggerStepThroughAttribute()]
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
     [System.Runtime.Serialization.DataContractAttribute(Name="StatusCommons", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsole" +
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4710)
@@ -28,5 +28,5 @@
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Contracts.ResponseObjects;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Slave.Core.ConfigurationManager {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4710)
@@ -36,5 +36,5 @@
 using HeuristicLab.Hive.Slave.Core.SlaveConsoleService;
 using HeuristicLab.Hive.Slave.ExecutionEngine;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Slave.Core {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeartbeatManager.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeartbeatManager.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeartbeatManager.cs	(revision 4710)
@@ -30,5 +30,5 @@
 using HeuristicLab.Hive.Slave.Communication.SlaveFacade;
 using HeuristicLab.Hive.Slave.Core.ConfigurationManager;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Slave.Core {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj	(revision 4710)
@@ -20,4 +20,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -86,7 +87,4 @@
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
     </Reference>
     <Reference Include="System" />
@@ -176,4 +174,8 @@
       <Name>HeuristicLab.Hive.Slave.ExecutionEngine-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
+      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
+      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLabHiveSlaveCorePlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLabHiveSlaveCorePlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLabHiveSlaveCorePlugin.cs	(revision 4710)
@@ -33,5 +33,5 @@
   [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
   [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
   public class HeuristicLabHiveSlaveCorePlugin: PluginBase {
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs	(revision 4710)
@@ -29,5 +29,5 @@
 using HeuristicLab.Hive.Slave.Communication;
 using HeuristicLab.Hive.Slave.Core.ConfigurationManager;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Slave.Core.JobStorage {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs	(revision 4710)
@@ -29,5 +29,5 @@
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.PluginInfrastructure.Manager;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Slave.Core {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj	(revision 4710)
@@ -19,4 +19,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLab.Hive.Tracing-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLab.Hive.Tracing-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLab.Hive.Tracing-3.3.csproj	(revision 4710)
@@ -96,16 +96,17 @@
     <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
   </PropertyGroup>
+  <PropertyGroup>
+    <SignAssembly>true</SignAssembly>
+  </PropertyGroup>
+  <PropertyGroup>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="log4net">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\log4net.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
+    <Reference Include="System.ServiceModel" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
@@ -115,16 +116,13 @@
   <ItemGroup>
     <Compile Include="HeuristicLabHiveTracingPlugin.cs" />
-    <Compile Include="MethodCallPatternConverter.cs" />
-    <Compile Include="MethodCallPatternLayout.cs" />
+    <Compile Include="Logger.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
   <ItemGroup>
-    <Content Include="HeuristicLab.Hive.log4net.xml">
-      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
-    </Content>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
   </ItemGroup>
   <ItemGroup>
-    <None Include="app.config" />
-    <None Include="Properties\AssemblyInfo.frame" />
+    <WCFMetadata Include="Service References\" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLabHiveTracingPlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLabHiveTracingPlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLabHiveTracingPlugin.cs	(revision 4710)
@@ -25,7 +25,4 @@
   [Plugin("HeuristicLab.Hive.Tracing", "3.3")]
   [PluginFile("HeuristicLab.Hive.Tracing-3.3.dll", PluginFileType.Assembly)]
-  [PluginFile("HeuristicLab.Hive.log4net.xml", PluginFileType.Data)]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
-  [PluginDependency("HeuristicLab.log4net", "1.2.10.0")]
   public class HeuristicLabHiveTracingPlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/Logger.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/Logger.cs	(revision 4710)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/Logger.cs	(revision 4710)
@@ -0,0 +1,40 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Diagnostics;
+
+namespace HeuristicLab.Hive.Tracing {
+  public static class Logger {
+    private static string source = "System.ServiceModel";
+
+    public static void Debug(object message) {
+      //TraceSource ts = new TraceSource(source);
+      //ts.TraceInformation(message.ToString());
+      //ts.Close();
+    }
+
+    public static void Info(object message) {
+      //TraceSource ts = new TraceSource(source);
+      //ts.TraceInformation(message.ToString());
+      //ts.Close();
+    }
+
+    public static void Warn(object message) {
+      //TraceSource ts = new TraceSource(source);
+      //ts.TraceInformation(message.ToString());
+      //ts.Close();
+    }
+
+    public static void Error(object message) {
+      TraceSource ts = new TraceSource(source);
+      ts.TraceInformation(message.ToString());
+      ts.Close();
+    }
+    public static void Error(object message, Exception e) {
+      TraceSource ts = new TraceSource(source);
+      ts.TraceInformation(message.ToString());
+      ts.Close();
+    }
+  }
+}
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4710)
@@ -8,5 +8,4 @@
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Slave.Communication\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Slave.Console\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
-ConfigMerger "%SolutionDir%HeuristicLab.Hive.Tracing\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 
 ConfigMerger "HeuristicLab.Hive-3.3.dll.config" "HeuristicLab 3.3.exe.config"
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HiveWeb/App_Code/HiveServerModule.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HiveWeb/App_Code/HiveServerModule.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HiveWeb/App_Code/HiveServerModule.cs	(revision 4710)
@@ -7,35 +7,24 @@
 using HeuristicLab.Tracing;
 using System.IO;
+using HeuristicLab.Hive.Contracts.Interfaces;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Hive.Server.Core.IISModules {
   public class HiveServerModule : IHttpModule {
-    Thread t;
-
-    #region IHttpModule Members
-
-    public void Dispose() {
-      if (t != null && t.ThreadState == ThreadState.Running) {
-        t.Abort();
-      }
-      File.Create(@"C:\ch\stuff\Log\Dispose" + Thread.CurrentThread.ManagedThreadId).Dispose();
-    }
-
+    private static object locker = new object();
+    private static ILifecycleManager lifecycleManager;
+    
     public void Init(HttpApplication context) {
-
-      File.Create(@"C:\ch\stuff\Log\Init." + Thread.CurrentThread.ManagedThreadId).Dispose();
-      t = new Thread(DoSomething);
-      t.Start();
-    }
-
-    private void DoSomething() {
-      int i = 0;
-      while (true) {
-        Thread.Sleep(1000);
-        File.Create(@"C:\ch\stuff\Log\file" + Thread.CurrentThread.ManagedThreadId + "." + i).Dispose();
-        i++;
+      lock (locker) {
+        lifecycleManager = ServiceLocator.GetLifecycleManager();
+        lifecycleManager.Start();
       }
     }
 
-    #endregion
+    public void Dispose() {
+      lock (locker) {
+        lifecycleManager.Stop();
+      }
+    }
   }
 }
